/*
		bf`ʋKit@C͊֐Q

				Copyright T.Kobayashi
*/

#ifndef	MATRIX
#include "matrix.h"
#endif

#ifndef	COLOR
#include "color.h"
#endif

#ifndef TRUE
	#define FALSE	0
	#define TRUE	(!FALSE)
#endif

#define MAXWORD			32		/*	P[h̍ŒLN^	*/
#define F_NAME_LEN		128		/*	t@C̒			*/
#define MAX_FILE		64		/*	t@C̍ől			*/

#define MAXGRAD			20		/*	Of[Vf[^̍ő	*/
#define MAXLIGHT		32		/*	̐̍ő				*/

/*	v~eBũ^Cv  */
#define TYPE_POLY			0		/*	rbgOFVFfBO		*/
#define TYPE_SHADE			1		/*	rbgPFtuW			*/
#define TYPE_UVPOLY			2
#define TYPE_UVSHADE		3

/*	Agr[g̃^Cv	*/
#define ATR_SIMPLE			0
#define ATR_RGB				1

/*	}bsÕ^Cv		*/
#define	MAP_NO				0
#define MAP_COLOR			1

/*	̃^Cv  */
#define LIGHT_POINT		1		/*	_			*/
#define LIGHT_PAL		2		/*	s		*/
#define LIGHT_SPOT		3		/*	X|bgCg	*/

/*	t[̃f[^	*/
#define	FRAME_END			0		/*	t[I		*/
#define	FRAME_LIGHT_POINT	1		/*	_w			*/
#define	FRAME_LIGHT_PAL		2		/*	sw		*/
#define	FRAME_LIGHT_SPOT	3		/*	X|bgw	*/
#define	FRAME_OBJ			16		/*	̎w			*/

/*	readinit.c	*/
#ifdef DYNAMIC
extern	void	ReaderInit( void );
#else
#define	ReaderInit()	__ReaderInit(NULL)
#endif

/*	reader.c	*/
extern	int		__ReaderInit( void* );
extern	void	ReaderSetInterrupt( void* );

/* atrread.c */
extern	int		AtrReadOpen( const char* );
extern	int		AtrReadClose( void );
extern	int		AtrReadNext( void );
extern	void	AtrReadName( char* );
extern	int		AtrReadColor( Color*, Color*, Color*, Color*, Color*, int* );
extern	int		AtrReadTra( void );
extern	int		AtrReadColorAll( Color data[9], int *);
/*	col, amb, dif, spc, size, ref, tra, rfr, att */
extern	int		AtrReadColorMap( char*, int[2][2], int[2][2], int[2][2] );

/* frmread.c */
extern	int		FrmReadOpen( const char* );
extern	int		FrmReadClose( void );
extern	int		FrmReadObj( char *name, Matrix conv);

/* objread.c */
extern	int		ObjReadOpen( const char* );
extern	int		ObjReadName( char* );
extern	int		ObjReadClose( void );
extern	int		ObjReadPoly( char*, int* );
extern	int		ObjReadVertex( float*, float*, float*, float*, float*, float*, float*, float* );
extern	int		ObjReadVertexInt( int data[8] );

/* rscanner.c */
extern	int		ReaderError(void);
